using Microsoft.Extensions.Logging;

namespace PlumbingRepairContracts.DI
{
	public interface IDependencyContainer
	{
		void AddLogging(Action<ILoggingBuilder> configure);
		void RegisterType<T, U>(bool isSingle) where U : class, T where T : class;
		void RegisterType<T>(bool isSingle) where T : class;
		T Resolve<T>();
	}
}
